import { ValueField } from "../value-field";
import { PathService } from "../../../service/path.service";
import { TranslationService } from "../../../service/translation.service";
import { IForm } from "../../../pathinterface";
import * as i0 from "@angular/core";
export declare class TranslationFieldComponent {
    field: TranslationField;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TranslationFieldComponent, "path-translationfield", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class TranslationField extends ValueField<any[][]> {
    private pathService;
    translationService: TranslationService;
    private languages;
    private userLanguage;
    private _defaultTranslation;
    private _translationLabel;
    constructor(form: IForm, pathService: PathService, translationService: TranslationService);
    get defaultTranslation(): string;
    set defaultTranslation(value: string);
    get translationLabel(): string;
    setValue(value: any[][]): void;
    private getDefaultTranslation;
    editTranslations(): void;
}
export declare class TranslationEntry {
    private _text;
    private _code;
    get text(): string;
    set text(value: string);
    get code(): string;
    set code(value: string);
}
